Figure - Bug #113487
0 O Test-ST# 113421 (New): V400 00000 0O

O O Test-ST # 113422 (New): V4.00 O --AFO O --monkeyd O

O AFO O EVT20O O Monkeyd Monkeyd O 80 O O O O CRASH: com.android.systemui:screenshot

2022-11-0115:40 - CD TestOl O

D.X101.2

Status: CLOSED Start date: 2022-11-01

Priority: Normal Due date: 2022-11-08

Assignee: CD Test O % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: - Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.0
Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-11-04

Test Type: Monkey Test Root cause: O0O0DO0O0OO0O0OO0OOcleseOOOOd
Description

oo0ooo

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200

--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 5 --pct-anyevent 5 --ignore-crashes -v -v -v 180000

2>/sdcard/error.txt 1>/sdcard/info.txt

gooon

10-28 12:05:11.625 6173 22858 W Monkey
10-28 12:05:11.625 6173 22858 W Monkey
10-28 12:05:11.625 6173 22858 W Monkey
before acquiring more.

10-28 12:05:11.626 6173 22858 W Monkey
10-28 12:05:11.627 6173 22858 W Monkey
10-28 12:05:11.628 6173 22858 W Monkey :
10-28 12:05:11.628 6173 22858 W Monkey
acquiring more.

10-28 12:05:11.628 6173 22858 W Monkey
10-28 12:05:11.628 6173 22858 W Monkey
10-28 12:05:11.628 6173 22858 W Monkey :

com.android.systemui.screenshot.ScrollCaptureClient$SessionWrapper.onlmageAvailable(ScrollCaptureClient.java:368)
/i
M
/i
v/
v/
v/
v/

10-28 12:05:11.628 6173 22858 W Monkey
10-28 12:05:11.628 6173 22858 W Monkey
10-28 12:05:11.628 6173 22858 W Monkey
10-28 12:05:11.628 6173 22858 W Monkey
10-28 12:05:11.628 6173 22858 W Monkey
10-28 12:05:11.628 6173 22858 W Monkey
10-28 12:05:11.628 6173 22858 W Monkey

// Build Time: 1666894340000

/1

: // CRASH: com.android.systemui:screenshot (pid 1708)
: /1 Short Msg: java.lang.lllegalStateException
: /1 Long Msg: java.lang.lllegalStateException: maxImages (30) has already been acquired, call #close

- // Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/1230:userdebug/test-keys
- // Build Changelist: 1230

- /1 java.lang.lllegalStateException: maximages (30) has already been acquired, call #close before

./ atandroid.media.ImageReader.acquireNextImage(ImageReader.java:560)
./ atandroid.media.ImageReader.acquireLatestimage(ImageReader.java:441)

at

at android.media.lImageReader$1.run(ImageReader.java:837)
at android.os.Handler.handleCallback(Handler.java:938)

at android.os.Handler.dispatchMessage(Handler.java:99)

at android.os.Looper.loopOnce(Looper.java:201)

at android.os.Looper.loop(Looper.java:288)

at android.os.HandlerThread.run(HandlerThread.java:67)

History

#1 - 2022-11-01 16:09 - CD Test O

2025-07-04
0 0O O Bug #113456 O O

#2-2022-11-0309:55-CDFW L O O

- Status changed from New to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-11-04

-Rootcausesetto0 0 00000000 OcloseD 0000

goooo

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/159744

O00OmonkeyD OO DOOOODOOOODOOOODOOmonkeyd ODOOO

#3 - 2022-11-07 10:20 - CD TestO O
- Assignee changed from CD FW 0O O O to CD TestO O
- % Done changed from 100 to 70

l1g400D0BOOOOOOOO
Monkeyd O 00002000

#4 - 2022-11-08 10:46 - CD Test[l O

1ugs00pBOO0oooogn
Monkeyd 0 0 0001000

#5 - 2022-11-09 10:26 - CD TestO O
- Status changed from RESOLVED to VERIFIED
- % Done changed from 70 to 80

11080 O Release O O O O
joo3ooooooooooo

#6 - 2022-11-09 10:26 - CD TestO O
- Status changed from VERIFIED to CLOSED
- % Done changed from 80 to 100

#7 - 2022-12-22 20:48 - CD FW-0O O
Gerrit Merge Information(]

1D Project

Branch

Uploader

159744 general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/159744

AF:ScreenShot: Fix monkey test crash issueWhen taking a screenshotneed to close the old image before getting the new imageTC-RID: 1201-02066011ssuelD:
TS-R-BUG-113487Change-1d: 15ff7bef7422e9c68d0e6133874fhelde9249c552
